require 'spec_helper'

describe 'openldap::server::service' do
  on_supported_os.each do |os, os_facts|
    context "on #{os}" do
      let(:facts) { os_facts }
      let(:pre_condition) { "class {'openldap::server':}" }

      it { is_expected.to compile.with_all_deps }

      case os_facts[:osfamily]
      when 'Debian'
        it { is_expected.to contain_service('slapd') }
      end
    end
  end
end
